%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%changeplots.m


xlimit0 = xgridline0 + pixpersq* (cx-1-zlevel - zdelta);
xlimit1 = xgridline0 + pixpersq* (cx  +zlevel + zdelta);

ylimit0 = ygridline0 + pixpersq* (cy-1-zlevel - zdelta);
ylimit1 = ygridline0 + pixpersq* (cy  +zlevel + zdelta);

set(ha1,'xlim',[xlimit0 xlimit1],'ylim',[ylimit0 ylimit1]);

zoom reset;

xline(1) = xgridline0 + pixpersq*(cx-1-zlevel);
xline(2) = xgridline0 + pixpersq*(cx  +zlevel);
xline(3) = xgridline0 + pixpersq*(cx  +zlevel);
xline(4) = xgridline0 + pixpersq*(cx-1-zlevel);
xline(5) = xgridline0 + pixpersq*(cx-1-zlevel);

yline(1) = ygridline0 + pixpersq*(cy-1-zlevel);
yline(2) = ygridline0 + pixpersq*(cy-1-zlevel);
yline(3) = ygridline0 + pixpersq*(cy  +zlevel);
yline(4) = ygridline0 + pixpersq*(cy  +zlevel);
yline(5) = ygridline0 + pixpersq*(cy-1-zlevel);


%xgridline0 = str2num(get(hxshift,'str'));
%ygridline0 = str2num(get(hyshift,'str'));
dogrid;

if cellnumflag==1
  cellson;
else
  cellsoff;
end;

axes(ha2);
set(hl1,'xd',xline,'yd',yline);
axes(ha1);
