%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%copyrt7.m

%imx2=imread('digitizericon3.jpg');
%imx2a=imx2(2:4:size(imx2,1),2:4:size(imx2,2));
imx2=imread('digitizericon4.jpg');

%imx3=imread('whoi_border.jpg');
%imx3a=imx3(5:833,39:905-38,:);
imx3=imread('whoi_border2.jpg');

imx4=imread('globec_hres.jpg');

figprop={'un','pix','pos',[200 200 800 500], ...
        'menubar','none','numbertitle','off', ...
        'color',[.7 .9 1],'vis','off','resize','off'};

hcrf=figure(figprop{:});

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hcra1=axes;
set(hcra1,'vis','off');
set(hcra1,'pos',[0 0 1 1]);

hcrt1=text(.15, .45, 'WHOI  Silhouette  DIGITIZER');
set(hcrt1,'fontname','Times New Roman','fontw','b','fonts',30);

hcrt2=text(.4, .35, 'Version 1.0');
set(hcrt2,'fontname','Times New Roman','fontw','b','fonts',20);

hcrt3=text(.275, .20,'Copyright (c) 2003  Woods Hole Oceanographic Institution');
set(hcrt3,'fontname','Times New Roman','fontw','b','fonts',10);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hcra3=axes;
set(hcra3,'pos',[.0 .05 .275 .275]);

hcri3=imagesc(imx4);
set(hcra3,'xcol',[.4 .6 1],'ycol',[.4 .6 1],'xtick',[],'ytick',[]);
set(hcra3,'dataaspectratiomode','manual');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hcra4=axes;
set(hcra4,'pos',[.725 .05 .275 .275]);

hcri4=imagesc(imx3);
set(hcra4,'xcol',[.4 .6 1],'ycol',[.4 .6 1],'xtick',[],'ytick',[]);
set(hcra4,'dataaspectratiomode','manual');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hcra2=axes;
set(hcra2,'pos',[.3 .55 .35 .35]);

hcri2=imagesc(imx2);
set(hcra2,'xcol',[.4 .6 1],'ycol',[.4 .6 1],'xtick',[],'ytick',[]);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%

huic=uicontrol(hcrf,'style','push','str','close',...
    'units','norm','position',[.45 .05 .1 .05],...
    'backg',[.6 .8 1],'call','delete(hcrf);');

drawnow;

set(hcrf,'vis','on');

t=0;
while ishandle(hcrf) & t<=5
    t=t+1;
    pause(1);
end

%return;         %leave on screen until Close    

if ishandle(hcrf)
    delete(hcrf); 
end;
