%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%createcontrols.m

%%%%%%%%%%%%%%%%%%%%%%%
%add files menu

hmen3=uimenu(hf1,'lab','File'); 

hmen3j=uimenu(hmen3,'lab','write lengths','call','statistics;writeasclens;');

hmen3k=uimenu(hmen3,'lab','write weights','call','statistics;writeascwgts;');

hmen3h=uimenu(hmen3,'lab','write statistics','call','statistics;writeascstats;');

hmen3m=uimenu(hmen3,'lab','write histograms','call','statistics;sethistparams;');

%hmen3d=uimenu(hmen3,'lab','Save weights file As ...','call',...
%   'writewgt');

hmen3e=uimenu(hmen3,'lab','Read alternate weights file','sep','on','call',...
 '[wgtfil,wgtdir]=uigetfile(''*.wgt'',''Select alternate weights file'');readwgt;');

hmen3g=uimenu(hmen3,'lab','Recalculate sample weights','call',...
    'recalcwgts;');


hmen3a=uimenu(hmen3,'lab','Save species file As ...','sep','on',...
    'call','writespecies');

hmen3b=uimenu(hmen3,'lab','SAVE DATA and continue','call',...
    'writetable3;disp(''data has been saved'');savecount=0;');

hmen3f=uimenu(hmen3,'lab','SAVE DATA and restart ','call',...
    'writetable3;disp(''data has been saved'');qflag=0;savenewcm;');

%hmen3c=uimenu(hmen3,'lab','SAVE data and quit','call','writetable3;qflag=1;savenewcm;',...
%    'foreg','r');
hmen3c=uimenu(hmen3,'lab','SAVE DATA and quit');

hmen3c1=uimenu(hmen3c,'lab','No');

hmen3c2=uimenu(hmen3c,'lab','Yes','call',...
    'writetable3;disp(''data has been saved'');qflag=1;savenewcm;');



%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add edit menu

hmen2=uimenu(hf1,'lab','Edit');

hmen2e=uimenu(hmen2,'lab','edit species buttons, lengths','call','dispspecies');

hmen2a=uimenu(hmen2,'lab','edit colormap','call','editcmap');

hmen2b=uimenu(hmen2,'lab','generate random cells','call','dorandom2');

%elimimate calibration item for now
%hmen2c=uimenu(hmen2,'lab','calibrate grid');

%hmen2d=uimenu(hmen2c,'lab','under construction','enable','off');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add view menu (number options, etc)

hmen7=uimenu(hf1,'lab','View'); 

%hsnumsonoff = uimenu(hmen7,'lab','show sample numbers','call','snumson;');
hmen7c = uimenu(hmen7,'lab','show sample numbers','call','snumson;');

%reserved for future release
%hmen7d = uimenu(hmen7,'lab','show species codes','call','specson;');

%hmen7b=uimenu(hmen7,'lab','hide cell numbers','call','cellsoff;');
hmen7b=uimenu(hmen7,'lab','hide cell numbers','call','cellsoff;refresh;');

hmen7a=uimenu(hmen7,'lab','change sample number size');

hmen7a8 = uimenu(hmen7a,'lab','8',...
    'call','snumsoff;set(hsnums,''fontsize'',8);snsize=8;snumson;');
hmen7a12= uimenu(hmen7a,'lab','12',...
    'call','snumsoff;set(hsnums,''fontsize'',12);snsize=12;snumson;');
hmen7a16= uimenu(hmen7a,'lab','16',...
    'call','snumsoff;set(hsnums,''fontsize'',16);snsize=16;snumson;');
hmen7a20= uimenu(hmen7a,'lab','20',...
    'call','snumsoff;set(hsnums,''fontsize'',20);snsize=20;snumson;');
hmen7a24= uimenu(hmen7a,'lab','24',...
    'call','snumsoff;set(hsnums,''fontsize'',24);snsize=24;snumson;');



%%%%%%%%%%%%%%%%%%%%%%%%%
%add preferences menu

hmen5=uimenu(hf1,'lab','Preferences','call','set(hmen5d3,''enable'',''off'')'); 

sampnumflag=0;


hmen5c = uimenu(hmen5,'lab','n-point digitizing mode');

hmen5c1 = uimenu(hmen5c,'lab','n-pt one-shot','check','on','call', ...
   'perflag=0;set(hmen5c1,''check'',''on'');set(hmen5c2,''check'',''of'')');

hmen5c2 = uimenu(hmen5c,'lab','n-pt persistent','check','off','call', ...
   'perflag=1;set(hmen5c1,''check'',''of'');set(hmen5c2,''check'',''on'')');


hmen5d = uimenu(hmen5,'lab','region selection criteria');

hmen5d1 = uimenu(hmen5d,'lab','one end in region','check','on','call', ...
   'boxflag=1;set(hmen5d1,''check'',''on'');set(hmen5d2,''check'',''off'')');

hmen5d2 = uimenu(hmen5d,'lab','both ends in region','check','off','call', ...
   'boxflag=0;set(hmen5d1,''check'',''off'');set(hmen5d2,''check'',''on'')');

%to be implemented later
hmen5d3 = uimenu(hmen5d,'lab','all coords in region','check','off','call', ...
   'boxflag=2;%etc etc etc;','vis','off');

hmen5g=uimenu(hmen5,'lab','species selection mode');
hmen5g1=uimenu(hmen5g,'lab','enter before all measurements','check','on','call','setstdmode;');
hmen5g2=uimenu(hmen5g,'lab','enter after each measurement','check','off', ...
   'call','setaltmode;');

%totally disabled cursor selection features
%hmen5e=uimenu(hmen7,'lab','change cursor type','call','changecursor');

hmen5h=uimenu(hmen5,'lab','beep on/off');
hmen5h1=uimenu(hmen5h,'lab','beep off','call','beepchar=''   "BEEP"'';');
hmen5h2=uimenu(hmen5h,'lab','beep on','call','beepchar=7;');

hmen5j=uimenu(hmen5,'lab','print std devs in s''sheets?');
hmen5j2=uimenu(hmen5j,'lab','yes','check','on','call', ...
 'stdflg=1;set(hmen5j2,''che'',''on'');set(hmen5j1,''che'',''of'');');
hmen5j1=uimenu(hmen5j,'lab','no','check','of','call', ...
 'stdflg=0;set(hmen5j1,''che'',''on'');set(hmen5j2,''che'',''of'');');

%%%%%%%%%%%%%%%%%%%%%%%
%add calibrate menu

%hcalib=uicontrol('style','edit','un','n','pos',[.500 .876 .092 .024],'vis','of', ...
%  'backg','w','str',num2str(0),'call',...
%  'calibrate2;docalib;dogrid;set(hf1,wbd,''getpt1'')');

%disabled temporarily, till I can fix it

%hmen6=uimenu(hf1,'lab','Calibration');
%set(hmen6,'en','off');

%hmen6b=uimenu(hmen6,'lab','under construction','enable','off');

%hmen6a=uimenu(hmen6,'lab','2-point  );
%set(hmen6a,'call', ...
%  'set(hstatus9,''str'',''CLICK ON FIRST CALIB POINT'');calmode;');

%some of this moved to edit menu above

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add status panel 


hstatus8=uicontrol(hf1,'style','text','un','n','pos',[.00 .00 .300 .020], ...
     'str','image file  and  data file','foreg',[0 0 1],'backg',[1 1 .75]);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add edit controls for setup params

hsetparams=uicontrol(hf1,'style','push','un','n','pos',[.900 .806 .100 .024],...
     'str','set parameters','call','setparams');


hplatename=uicontrol(hf1,'style','edit','un','n','pos',[.915 .774 .085 .032], ...
     'str',plate,'foreg',[0 0 1],'backg',[1 1 1]);

hplatenametx=uicontrol(hf1,'style','text','un','n','pos',[.892 .774 .023 .032], ...
     'str','plate','foreg',[0 0 0],'backg',[.8 1 1]);


hsplitname=uicontrol(hf1,'style','edit','un','n','pos',[.915 .742 .085 .032], ...
     'str',split,'foreg',[0 0 1],'backg',[1 1 1]);

hsplitnametx=uicontrol(hf1,'style','text','un','n','pos',[.892 .742 .023 .032], ...
     'str','split','foreg',[0 0 0],'backg',[.8 1 1]);


hxoffset=uicontrol(hf1,'style','edit','un','n','pos',[.940 .710 .060 .032], ...
     'str',num2str(0),'foreg',[0 0 1],'backg',[1 1 1]);

hxoffsettx=uicontrol(hf1,'style','text','un','n','pos',[.892 .710 .048 .032], ...
     'str','xoff (pix)','foreg',[0 0 0],'backg',[.8 1 1]);


hyoffset=uicontrol(hf1,'style','edit','un','n','pos',[.940 .678 .060 .032], ...
     'str',num2str(0),'foreg',[0 0 1],'backg',[1 1 1]);

hyoffsettx=uicontrol(hf1,'style','text','un','n','pos',[.892 .678 .048 .032], ...
     'str','yoff (pix)','foreg',[0 0 0],'backg',[.8 1 1]);


hresolution=uicontrol(hf1,'style','edit','un','n','pos',[.940 .646 .060 .032], ...
     'str',pixperinch,'foreg',[0 0 1],'backg',[1 1 1]);

hresolutiontx=uicontrol(hf1,'style','text','un','n','pos',[.892 .646 .048 .032], ...
     'str','pix/inch','foreg',[0 0 0],'backg',[.8 1 1]);


hcellsize=uicontrol(hf1,'style','edit','un','n','pos',[.940 .614 .060 .032], ...
     'str',cmpersq,'foreg',[0 0 1],'backg',[1 1 1]);

hcellsizetx=uicontrol(hf1,'style','text','un','n','pos',[.892 .614 .048 .032], ...
     'str','cm/cell','foreg',[0 0 0],'backg',[.8 1 1]);


hready=uicontrol(hf1,'style','push','un','n','pos',[.900 .590 .100 .024], ...
     'str','OK TO START?','call','setparams;readytodig');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add status items to menu bar


hstatus9=uicontrol(hf1,'style','text','un','n','pos',[.400 .00 .200 .020], ...
       'str','STATUS','foreg',[1 0 0],'backg',[1 1 .75]);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create cell selection controls

htx=uicontrol(hf1,'style','text','un','n','pos',[.900 .294 .046 .020],'str','column'); 
hty=uicontrol(hf1,'style','text','un','n','pos',[.945 .294 .046 .020],'str','row');


hxx=uicontrol(hf1,'style','edit','un','n','pos',[.900 .266 .046 .024],'str','1');
set(hxx,'back','white','call','sxcur=get(hxx,''string'');') 

hyy=uicontrol(hf1,'style','edit','un','n','pos',[.946 .266 .046 .024],'str','1');  
set(hyy,'back','white','call','sycur=get(hyy,''string'');')

hshone=uicontrol(hf1,'style','push','un','n','pos',[.900 .242 .092 .024], ...
         'str','select a cell','call','showonecell;');

hshall=uicontrol(hf1,'style','push','un','n','pos',[.900 .218 .092 .024], ...
         'str','show all cells','call','showallcells;');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create abort control (quit without saving data)

%habort=uicontrol(hf1,'style','push','un','n','pos',[.900 .880 .100 .024], ...
habort=uicontrol(hf1,'style','push','un','n','pos',[.920 .870 .060 .060], ...
    'backg','red','foreg','white','str','ABORT','call',...
    'delete(hf1);quit','vis','off');

hmenabort=uimenu('lab','Abort','foreg',[1 0 0],'call','toggleabort;');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create sample editing controls

hcancel=uicontrol(hf1,'style','push','un','n','pos',[.900 .196 .092 .024], ...
    'str','undo pending','call','undopending','en','on');

hnumb=uicontrol('style','edit','un','n','pos',[.900 .154 .092 .022], ...
       'backg',[1 1 1],'vis','off','call','setnewspec;');

hselbynum=uicontrol(hf1,'style','push','un','n','pos',[.900 .132 .092 .022], ...
    'str','select by number','call', ...
    'selbynumber');

hselbycur=uicontrol(hf1,'style','push','un','n','pos',[.900 .110 .092 .022], ...
    'str','select by cursor','call', ...
    'selbycursor');

hselbyreg=uicontrol(hf1,'style','push','un','n','pos',[.900 .088 .092 .022], ...
    'str','select by region','call', ...
    'selbyregion');

hselok=uicontrol(hf1,'style','push','un','n','pos',[.900 .066 .092 .022], ...
    'str','delete selection','call','seldelall','en','off');

hselcan=uicontrol(hf1,'style','push','un','n','pos',[.900 .044 .092 .022], ...
    'str','cancel selection','call','selcanall','en','off');


%%%%%%%%%%%%%%%%%%%%
%create control to change species code on existing measurement

hchangespec=uicontrol('style','push','un','n','pos',[.900 .022 .092 .022], ...
    'str','change species','call','setchangespec;', ...
    'en','off');

%hchangespec=uicontrol('style','push','un','n','pos',[.900 .022 .092 .022], ...
%    'str','change species','call','set(hspeccode,''vis'',''on'');',...
%    'en','off');


%hspeccode=uicontrol('style','edit','un','n','pos',[.900 .000 .092 .022], ...
%       'backg',[1 1 1],'vis','off', ...
%       'call','newspeccode=str2num(get(hspeccode,''str''));changespecies;');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create zoom and pan controls

hu4=uicontrol(hf1,'style','push','un','n','pos',[.900 .562 .092 .024]);
set(hu4,'str','zoom out','call','axes(ha1);zomout;');

hu5=uicontrol(hf1,'style','push','un','n','pos',[.900 .538 .092 .024]);
set(hu5,'str','zoom in','call','axes(ha1);zomin;');


hup=uicontrol(hf1,'style','push','un','n','pos',[.931 .500 .028 .036],'str','^');
set(hup','call','moveup')

hlf=uicontrol(hf1,'style','push','un','n','pos',[.900 .464 .028 .036],'str','<');
set(hlf','call','moveleft')

hrt=uicontrol(hf1,'style','push','un','n','pos',[.964 .464 .028 .036],'str','>');
set(hrt','call','moveright')

hdn=uicontrol(hf1,'style','push','un','n','pos',[.931 .428 .028 .036],'str','v');
set(hdn','call','movedown')


hzoom=uicontrol('style','push','un','n','pos',[.900 .404 .092 .024], ...
    'str','manual zoom on','call','manualzoom');

hnozoom=uicontrol('style','push','un','n','pos',[.900 .383 .092 .024], ...
    'str','manual zoom off','call','nomanualzoom');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create control to refresh the screen after deleting graphics objects

hrefresh = uicontrol('style','push','un','n','pos',[.900 .000 .092 .022], ...
       'str','refresh screen','call','refresh');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create digitizing mode controls


%hdm0brd = uicontrol(hf1,'style','text','un','n','pos',[.900 .338 .046 .024], ...
% 'back',[0 1 0]);

%hdm0 = uicontrol(hf1,'style','push','un','n','pos',[.904 .340 .040 .019], ...
% 'str','std','callback', ...
% 'digmode=0;set(hdm0brd,''ba'',[0 1 0]);set(hdm1brd,''ba'',[.7 .7 .7]);');

%hdm1brd = uicontrol(hf1,'style','text','un','n','pos',[.950 .338 .046 .024], ...
% 'back',[.7 .7 .7]);

%hdm1 = uicontrol(hf1,'style','push','un','n','pos',[.954 .340 .040 .019], ...
% 'str','alt','callback', ...
% 'digmode=1;set(hdm0brd,''ba'',[.7 .7 .7]);set(hdm1brd,''ba'',[0 1 0]);');


hpm0brd = uicontrol(hf1,'style','text','un','n','pos',[.900 .314 .046 .024], ...
 'back',[0 1 0]);

hpm0 = uicontrol(hf1,'style','push','un','n','pos',[.904 .316 .040 .019], ...
 'str','2-pt','callback', ...
 'ptmode=0;set(hpm0brd,''ba'',[0 1 0]);set(hpm1brd,''ba'',[.7 .7 .7]);setpmode0;');

hpm1brd = uicontrol(hf1,'style','text','un','n','pos',[.950 .314 .046 .024], ...
 'back',[.7 .7 .7]);

hpm1 = uicontrol(hf1,'style','push','un','n','pos',[.954 .316 .040 .019], ...
 'str','n-pt','callback', ...
 'ptmode=1;set(hpm0brd,''ba'',[.7 .7 .7]);set(hpm1brd,''ba'',[0 1 0]);setpmode1;');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%add species display


hstatus10=uicontrol(hf1,'style','text','un','n','pos',[.300 .0 .100 .020], ...
   'foreg',[0 0 0],'backg',[1 1 .75],'str', ...
   'species');



