%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%dospeccode.m

%set current species code

%can't change species in midstream

if cppending ~= 1

  ix = gco;

  for ii = 1:listsize
    if ix==hu1(ii)
      currentspeccode = jinm.spec.sln(ii);
      colr =  jinm.spec.slc(ii,:);
      currentspecindex = ii;
    end;
  end;
 
% update species code in menu bar display

  set(hstatus10,'str',...
      [num2str(jinm.spec.sln(currentspecindex)) blk jinm.spec.sla(currentspecindex,:)]);
  set(hstatus10,'backg',colr);
end;


%record data or wait for species button

if digmode==1          %if it's in "alt" mode

  if cppending==2
    pdum=96;
    slen=11.5;
    col=cellno(1);
    row=cellno(2);
    spec=currentspeccode;
    ncoord=size(clast,1);
    ncpn = size(clastn,1);

    if ptmode == 0
      set(hlxy,'col',colr,'markerface',colr);
      if currentspeccode==speccodex
        set(hlxy,'marker','o','markersize',speccodesz);
      end;
    else
      set(hline,'col',colr,'markerface',colr);
      set(hlinex,'col',colr,'markerface',colr);
      if currentspeccode==speccodex
        set(hline,'marker','o','markersize',speccodesz);
      end;
    end;

    cppending = 0;

    set(hstatus9,'str','READY');

    htext2 = text(clastn(ncpn,1),clastn(ncpn,2),num2str(tix+1), ...
          'fonts',snsize, ...
          'tag','tsampnums','vis',visval, ...
          'fontw','bold','horiz','cen','col',[1 1 0], ...
          'clip','on','erasemode','none','userdata',tix+1);

    recordtable;
    
%    snum = snum + 1;

%    set(hdm0,'en','on');
%    set(hdm1,'en','on');

    set(hmen5g1,'en','on');
    set(hmen5g2,'en','on');

    set(hpm0,'en','on');
    set(hpm1,'en','on');
    set(hmen5c1','en','on');
    set(hmen5c2','en','on');

    set(hselbynum'','en','on');
    set(hselbycur'','en','on');
    set(hselbyreg'','en','on');

    savecount = savecount + 1;
    if savecount >= savecountmax
      disp('saving data');
      writetable3;
      savecount = 0;
    end;

    if perflag==0;
      ptmode=0;
      set(hpm0brd,'ba',[0 1 0]);
      set(hpm1brd,'ba',[.7 .7 .7]);
      setpmode0;
    end;

  end;

  if ptmode == 0
    set(hf1,wbd,'getpt1');
  else
    set(hf1,wbd,'getfirstpt');
  end;

end;

