%drawhist.m

figure(hf55);

cla;

lenbbb=length(bbb);

in120val=get(hin120,'value');
dotval=get(hnodot,'value');

if hspno==0;  %ALL SPECIES
    
    for ihs=1:lenbbb-1
        if in120val==0
            thiscor=sum(corlencnt(1:110,ihs+1));
        else;
            thiscor=sum(corlencnt([1:110 120],ihs+1));
        end
        xcor=[bbb(ihs)  bbb(ihs)   bbb(ihs+1)   bbb(ihs+1)];
        ycor=[0  thiscor  thiscor  0];
        hpat=patch(xcor,ycor,'r');
        set(hpat,'edgecolor',[0.5 0.5 0.5]);
    end
    
    if dotval==1
        
        if in120val==0
            thiscor=sum(corlencnt(1:110,1));
        else
            thiscor=sum(corlencnt([1:110 120],1));
        end
        
        hlin1=line([bbb(1) bbb(1)],[thiscor thiscor],'linew',3,'color','r',...
            'marker','o','markersize',4);
    
        if in120val==0
            thiscor=sum(corlencnt(1:110,lenbbb+1));
        else
            thiscor=sum(corlencnt([1:110 120],lenbbb+1));
        end
        
        hlin2=line([bbb(lenbbb) bbb(lenbbb)],[thiscor thiscor],'linew',3,'color','r',...
            'marker','o','markersize',4);
    end
    
    set(hf55,'name',['Length Histogram:  ' 'all species']);
        
else;   %ONE SPECIES ONLY
    
    for ihs=1:lenbbb-1
        thiscor=corlencnt(hspno,ihs+1);
        xcor=[bbb(ihs)  bbb(ihs)   bbb(ihs+1)   bbb(ihs+1)];
        ycor=[0  thiscor  thiscor  0];
        hpat=patch(xcor,ycor,'r');
        set(hpat,'edgecolor',[0.5 0.5 0.5]);
    end
    
    if dotval==1
        
        thiscor=corlencnt(hspno,1);
        hlin1=line([bbb(1) bbb(1)],[thiscor thiscor],'linew',3,'color','r',...
            'marker','o','markersize',4); 
    
        thiscor=corlencnt(hspno,lenbbb+1);
        hlin2=line([bbb(lenbbb) bbb(lenbbb)],[thiscor thiscor],'linew',3,'color','r',...
            'marker','o','markersize',4);
        
    end
    
    set(hf55,'name',['Length Histogram:  ' num2str(sln(hspno)) ' ' sla(hspno,:)]);
    
end

ylimits = get(gca,'ylim');
dtick = ylimits(2)*.05;

for ihs = 1 : ihsdel : length(bbb)
    httt(i)=text(bbb(ihs),-dtick*0.2,num2str(bbb(ihs)),'rot',-90,'fonts',8,'fontw','bold');
    hlll(i)=line([bbb(ihs) bbb(ihs)],[0 0.1*dtick]);
end

if hspno~=0 & sum(corlencnttot(hspno))==0
    set(gca,'ylim',[0 1]);
else
    set(gca,'ylimmode','auto');
end

set(gca,'ygrid','on');
set(gca,'xaxislocation','top');

%zoom on;

