%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%genmenu3.m

set(hstatus9,'str','CREATING SPECIES BUTTONS');

hudelete = findobj('tag','hu');
delete(hudelete);

hu1 = zeros(1,listsize);
hu2 = zeros(1,listsize);
hu3 = zeros(1,listsize);

ckboxcolor(1,:)=[1 0 0];    %red, for checkboxes with value=0 (off)
ckboxcolor(2,:)=[0 1 0];    %green, for checkboxes with value=1 (on)

buttoncount=0;

for i=1:listsize
  if jinm.spec.listflag(i)==1
     buttoncount=buttoncount+1;
  end;
end;

%nslots=47;
nslots=50;

if buttoncount<=nslots;
  x0=.80; 
end;
if buttoncount>nslots & buttoncount<=2*nslots;
  x0=.70;
end;
if buttoncount>2*nslots & buttoncount<=3*nslots;
  x0=.60;
end;
if buttoncount>3*nslots & buttoncount<=4*nslots;
  x0=.50;
end;
if buttoncount>4*nslots
  x0=.40;
  disp('There may not be enough room for all species buttons');
end

y0 = 1.00;

icnt = 0;

firstindex=0;

for i=1:listsize

  if (jinm.spec.listflag(i)==1)
    if firstindex==0   %set index to first visible species button
        firstindex=1;
        currentspecindex=i;
        currentspeccode=jin.spec.sln(i);
    end;

    icnt = icnt + 1;
    if icnt==icntmax
        icnt = 1;
        x0 = x0 + .10;
        y0 = 1.00;
    end;
    y0 = y0 - .02;
    
    hu1(i) = uicontrol(hf1,'un','n','style','push','pos',[x0  y0 .06 .02], ...
                    'string',[num2str(jinm.spec.sln(i)) blk jinm.spec.sla(i,:)], ...
                    'backgroundcolor',jinm.spec.slc(i,:), ...
                    'tag','hu','user',i, ...
                    'callback','dospeccode;');

    hu3(i) = uicontrol(hf1,'un','n','style','tex','pos',[x0+.06 y0 .03 .02], ...
                    'str',num2str(speccount(i)),'tag','hu','fontsize',9,'fontweight','b',...
                    'backgroundcolor',jinm.spec.slc(i,:));
  else
    hu2(i) = uicontrol(hf1,'un','n','style','push','pos',[x0+.09  y0 .01 .02], ...
                    'tag','hu',   'vis','off', ...
                    'string','dummy');
  end;
end;

% needed so loadmenu will work:
  hu2 = uicontrol(hf1,'style','push','str','dummy','vis','off');


set(hstatus10,'str',...
    [num2str(jinm.spec.sln(currentspecindex)) blk jinm.spec.sla(currentspecindex,:)]);
set(hstatus10,'backg',jinm.spec.slc(currentspecindex,:));

set(hstatus9,'str','READY');

