%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%jincreate.m

readspecies;   %get species button info and length limits

for ii=1:length(slc)
  if slc(ii,1)==1 & slc(ii,2)==1 & slc(ii,3)==1
    slc(ii,:) = defcolor; %change default button color
  end;
end;

listsize=size(listflag,1);

spec.listflag=listflag;
spec.sln=sln;
spec.sla=sla;
spec.slen0=slen0;
spec.slen1=slen1;
spec.slc=slc;
spec.sld=sld;

speccount = zeros(1,listsize);

%eval(['load '''   cmpdir cmpfil   ''' -mat']);   %get colormap info

%initialize colormap

cm=ones(256,3);

for i=1:64
  cm(i,1)=(i-1)/63;
  cm(i,2)=(i-1)/63;
  cm(i,3)=(i-1)/63;
end;

xb=0;
yb=0;
xc=63;
yc=255;

gam=1;
gamflag=0;

rtint=0.75;
gtint=1;
btint=0.75;

%create colormap structure

scm.cm=cm;

scm.xb=xb;
scm.xc=xc;
scm.yb=yb;
scm.yc=yc;

scm.gam=gam;
scm.gamflag=gamflag;

scm.rtint=rtint;
scm.gtint=gtint;
scm.btint=btint;

scm.cm=cm;
scm.xb=xb;
scm.xc=xc;
scm.yb=yb;
scm.yc=yc;
scm.gam=gam;
scm.gamflag=gamflag;
scm.rtint=rtint;
scm.gtint=gtint;
scm.btint=btint;

readwgt;   %get volfn (weight formulae)

jin.created=created;
jin.updated=updated;
jin.version=verjin;
jin.plate=plate;
jin.split=split;
jin.imgdir=imgdir;
jin.imgfil=imgfil;
jin.datdir=datdir;
jin.datfil=datfil;

jin.xgridline0=xgridline0;
jin.ygridline0=ygridline0;
jin.resolution=pixperinch;
jin.cmpersq=cmpersq;
jin.listsize=listsize;

jin.spec=spec;
jin.scm=scm;
jin.volfn=volfn;


