%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%linearcm.m

gamflag=0;

y=zeros(1,256);

if xb>0
  mab=yb/xb;
  for ix=0:xb
    y(ix+1)= mab*ix;
  end;
end;

if xc>xb               
  mbc=(yc-yb)/(xc-xb);   
  for ix=xb:xc            
    y(ix+1)=yb + mbc*(ix-xb);
  end;                   
end;
 
if 255>xc
  mcd= (yc-255)/(xc-255);
  for ix=xc:255
    y(ix+1)=yc + mcd*(ix-xc);
  end;
end;


%check for illegal y values (from bug or roundoff)
for iii=1:256
  if y(iii)<0
%    disp('warning:  cm value < 0');
%    iii
%    yt=y(iii);
%    yt
    y(iii)=0;
  end;
  if y(iii)>255
%    disp('warning:  cm value > 1');
%    iii
%    yt=y(iii);
%    yt
    y(iii)=255;
end;
end;


cm = 0.00392156862745 * y;
cm = [cm' cm' cm'];

set(hp0,'ydata',y);
set(hp1,'xdata',xb,'ydata',yb);
set(hp2,'xdata',xc,'ydata',yc);

set(hc6a,'str',num2str(xb));
set(hc6b,'str',num2str(yb));
set(hc6c,'str',num2str(xc));
set(hc6d,'str',num2str(yc));

%set(hc7a,'str',num2str(rtint));
%set(hc7b,'str',num2str(gtint));
%set(hc7c,'str',num2str(btint));

set(hc5a,'str',num2str(gam));

cf=diag([rtint gtint btint]);
cmt=cm*cf;
colormap(cmt);

jinc.scm.cm=cm;
jinc.scm.xb=xb;
jinc.scm.xc=xc;
jinc.scm.yb=yb;
jinc.scm.yc=yc;
jinc.scm.rtint=rtint;
jinc.scm.gtint=btint;
jinc.scm.gtint=btint;
jinc.scm.gam=gam;
jinc.scm.gamflag=gamflag;


