%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%makehists.m

%AUXILLARY PROGRAM

blims=[ 0.8e-5 1.6e-5 3.2e-5 6.4e-5 12.8e-5 25.6e-5 51.2e-5 ...
          .001 .002 .004 .008 .016 .032 .064 .128 .256 .512 ...
         1 2 4 8 16 32 64 128 256 512 1000 2000];

sinp =  input('enter input weights filename:  ','s');
sout = input('enter output histograms filename:  ','s');

eval(['load ' sinp ' -ascii;']);

lensin=size(sinp,2);
for ii=lensin:-1:1
   if sinp(ii)=='.'
      lensin2=ii-1;
   end
end

lensout=size(sout,2);
for ii=lensout:-1:1
   if sout(ii)=='.'
      lensout2=ii-1;
   end
end


eval(['inarray = ' sinp(1:lensin2) ' ;']);


[bc,bw] = hgram3(inarray,blims);


vf=input('enter volume filtered:  ');
sf=input('enter split fraction:  ');
tc=input('enter total number of cells:  ');
nc=input('enter number of cells counted for this species:  ');

weights=(tc/nc/vf/sf)*bw';
counts =(tc/nc/vf/sf)*bc';

blims2=[0 blims];

fhistout=fopen(sout,'w');

fprintf(fhistout,'   bin       counts        weights\r\n\r\n');

fprintf(fhistout,' %9.0f %10.6e %10.6e\r\n',blims2(1),counts(1),weights(1));

for i=2:18
   fprintf(fhistout,' %5.2d %10.6e %10.6e\r\n',blims2(i),counts(i),weights(i));
end

for i=19:30
   fprintf(fhistout,' %9.0d %10.6e %10.6e\r\n',blims2(i),counts(i),weights(i));
end

fclose(fhistout);
