%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%makemfilelisting.m

%program to concatenate all the m-files in a directory into one text file.

%useful for making a master listing.

outputfilename='mfilelisting.txt';

whatfiles = what;
mfiles = char(sort(whatfiles.m));

num = size(mfiles,1);

fidout = fopen(outputfilename,'w');

for i=1:num
    fidin = fopen(mfiles(i,:),'r');
    while 1
        tline = fgetl(fidin);
        if ~ischar(tline), break, end
        %disp(tline)
        fprintf(fidout,'%s\n',tline);
    end
    fclose(fidin);
end

fclose(fidout);
