%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%readspecies.m
%modificaton of code by Roger Goldsmith, WHOI

listflag=[];
sln=[];
sla=[];
slc=[];
sld=[];
slen0=[];
slen1=[];

if spcdir==0 spcdir=[digpwd '\'];  end;
if spcfil==0  spcfil='default.men';  end;

fid=fopen([spcdir spcfil],'r');

%skip header record

record=fgetl(fid);

if (~isstr (record) )
  disp('no data in file');
  return;
end

i = 1;

while 1
  record = fgetl (fid);
  if (~isstr (record) ) break; end;   %end of file
  len = length (record);

  k = 0;
  [ntem, kount, errmsg, j] = sscanf (record, '%d,', 1);
  listflag(i) = ntem;

  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%d,', 1);
  sln(i) = ntem;

  k = k + j;
  [satem, kount, errmsg, j] = sscanf (record(k:len), '%[^,]', 1);
  satem = sscanf (satem, '%s', 1);
  if (isempty (sla) )
    sla = satem;
  else
    sla = str2mat(sla, satem);
  end 

  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%f,', 1);
  slen0(i) = ntem;
 
  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%f,', 1);
  slen1(i) = ntem;
 
  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%f,', 1);
  slc(i,1) = ntem;
 
  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%f,', 1);
  slc(i,2) = ntem;
 
  k = k + j;
  [ntem, kount, errmsg, j] = sscanf (record(k:len), '%f,', 1);
  slc(i,3) = ntem;
 
  k = k + j;
  sdtem = sscanf (record(k:len), '%s', 1);
  if (isempty (sld) )
    sld = sdtem;
   else
    sld = str2mat (sld, sdtem);
   end 

  i = i + 1;
  end  % while reading records loop.
nspec = i - 1;

fclose(fid);

listflag = listflag';
sln = sln';
slen0=slen0';
slen1=slen1';

%ERROR:
if length(listflag)~=120
    disp(['ERROR: species file must have 120 records!' char(7)]);
    disp(['Please correct .men file and restart program!' char(7)]);   
end

