%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%readwgt.m
%patterned after R. Goldsmith's input function

slnx=[];
slax=[];
slzx=[];

if wgtdir==0  wgtdir=[digpwd '\'];   end;
if wgtfil==0  wgtfil='default.wgt';  end;

wgtpath=[wgtdir wgtfil];

fvol = fopen(wgtpath,'r');

i = 1;

while 1

  record = fgetl(fvol);
  if ~isstr(record)
    break
  end

  lenr = length (record);

  k = 0;
  [ntem, kount, errmsg, j] = sscanf (record, '%ld,', 1);
  slnx(i) = ntem;

  k = k + j;
  [satem, kount, errmsg, j] = sscanf (record(k:lenr), '%s', 1);
  if isempty(slax)
    slax = satem;
   else
    slax = str2mat(slax, satem);
   end

  k = k + j;
  [satem, kount, errmsg, j] = sscanf (record(k:lenr), '%s', 1);
  if isempty(slzx)
    slzx = satem;
   else
    slzx = str2mat(slzx, satem);
   end

  i = i + 1;

end;

fclose(fvol);

%%%%%%%%%%%%%%%%%%%%%%%
%set up array of weight functions

volfn=char(32*ones(listsize,size(slzx,2)));

volfn(:,1)='0';
volfn(:,2)='.';
volfn(:,3)='0';

nowgtflag = ones(1,120);

for ii=1:listsize                        
  for jj=1:size(slnx,2)                   
    if slnx(jj)==sln(ii);                    
      volfn(ii,:) = slzx(jj,:);
      nowgtflag(ii) = 0;   %yes, there is a weight function for this species
      break
    end
  end
end                 

