%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%testhist.m

if xtyp==1
    xmn=xmna;
    xmx=xmxa;
    ndel=ndela;
    xlab=xlaba;
    xscf=xscfa;
elseif xtyp==2
    xmn=xmnb;
    xmx=xmxb;
    ndel=ndelb;
    xlab=xlabb;
elseif xtyp==3
    xmn=xmnc;
    xmx=xmxc;
    ndel=ndelc;
    xlab=xlabc;
end

hist4;

%makeaxisplot;
figure(hf50)

%cla;

if exist('htestaxis') & ishandle(htestaxis) delete(htestaxis); end

%if exist('httt') & ishandle(httt) delete(httt); end
%if exist('hlll') & ishandle(hlll) delete(hlll); end

htestaxis=axes('pos',[.1 .075 .8 .050],'color',[.8 .8 .8],'box','on', ...
    'xtick',[],'ytick',[]);

if xtyp==1
    bbb=blimslen;
elseif xtyp==2
    bbb=log10(blimslen);
elseif xtyp==3
    bbb=log10(blimslen);
end

hbaseline=line([bbb(1) bbb(length(bbb))],[0 0]);

%set(gca,'ylim',[-0.2 0.2]);
%hold on

for i=1:length(bbb)-1
    xcor=[bbb(i)  bbb(i)   bbb(i+1)   bbb(i+1)];
    ycor=[0       0.0025*i   0.0025*i   0];
    %ycor=[0       0.0025*i   0.0025*i   0]/bbbmax;
    patch(xcor,ycor,[.5 .5 .5]);
end

ylimits = get(gca,'ylim');
dtick = ylimits(2)*.05;

for i=1:length(bbb)
    hlll(i)=line([bbb(i) bbb(i)],[0 20*dtick]);
    httt(i)=text(bbb(i),-dtick*0.1,num2str(bbb(i)),'rot',-90,'fonts',7,'fontw','bold');
end

