%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%writespecies.m

[wspcfil,wspcdir]=uiputfile('*.men','Select a species output file');

if wspcfil==0
    return
end

fid = fopen([wspcdir wspcfil],'w');

fprintf(fid,'%s\n',...
  'shortflag, specnumber, abbreviation, 2-limits, 3-color, species');

for ix=1:120
    fprintf(fid,'%d, ',        jin.spec.listflag(ix) );
    fprintf(fid,'%d, ',        jin.spec.sln(ix)      );
    fprintf(fid,'%s, ',        jin.spec.sla(ix,:)    );
    fprintf(fid,'%f, ',        jin.spec.slen0(ix)    );
    fprintf(fid,'%f, ',        jin.spec.slen1(ix)    );
    fprintf(fid,'%f, %f, %f, ',jin.spec.slc(ix,:)    );
    fprintf(fid,'%s ',         jin.spec.sld(ix,:)    );
    fprintf(fid,'\n');
end

fclose(fid);

   