%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%writetable3.m

%gather job data

updated=datestr(now);
jin.updated=updated;
jinm.updated=updated;
jinc.updated=updated;

jin.plate=plate;
jin.split=split;

jin.imgdir=imgdir; 
jin.imgfil=imgfil; 

jin.datdir=datdir; 
jin.datfil=datfil; 

jin.spcdir=spcdir;
jin.spcfil=spcfil;

jin.wgtdir=wgtdir;
jin.wgtfil=wgtfil;

jin.cmpdir=cmpdir;
jin.cmpfil=cmpfil;

jin.resolution=pixperinch;
jin.cmpersq=cmpersq; 
jin.xgridline0=xgridline0;
jin.ygridline0=ygridline0; 


%%%%%%%%%%%%%%%%%%%%
%save mat file

%eval( ['save '''    datpath   ''' tablehdr table tablemajor tableminor jin'] );
eval( ['save '''    datpath   ''' table tablemajor tableminor jin'] );


%%%%%%%%%%%%%%%%%%%
%open ascii files

fdata1 = fopen(ascpath,'w');

%%%%%%%%%%%%%%%%%%%%%%%
%write headers

fprintf(fdata1, ...
'samp spec  length  weight  column  row flags plate.split\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%write table entries, skipping illegal length, special codes and deleted samples

for tixx=1:tixmax

  snumx = table(tixx,1);
  if snumx==0   break;   end;

  specx     = table(tixx,2);
  slenx    = table(tixx,3);
  svolx     = table(tixx,4);
  legalflgx = table(tixx,5);
  ptmodex   = table(tixx,6);
  majorptrx = table(tixx,7);
  ncpnx     = table(tixx,8);
  minorptrx = table(tixx,9);
  ncoordx   = table(tixx,10);
  colx      = table(tixx,11);
  rowx      = table(tixx,12);

  flagsx = legalflgx;

  %platesplitx = tablehdr(tixx,:);

  if legalflgx~=0 & specx~=speccodex & ncpnx>0
    fprintf(fdata1,'%4d %4d %7.3f %7.3f %4d %4d %8x %s.%s', ...
      snumx,specx,slenx,svolx,colx,rowx,flagsx,plate,split);
    fprintf(fdata1,'\n');
  end;

end;  %end of tixx loop

fclose(fdata1);

