%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%cleanup.m

%clear unneeded variables

%reset start options

%purge and reset current image

clear img

%delete image axes and edit windows

if exist('ha1') if ishandle(ha1)  delete(ha1); end; end;
if exist('ha2') if ishandle(ha2)  delete(ha2); end; end;

if exist('hf20') if ishandle(hf20)  delete(hf20); end; end;
if exist('hf40') if ishandle(hf40)  delete(hf40); end; end;


spcdir=[digpwd '\'];
spcfil='default.men';
cmpdir=[digpwd '\'];
cmpfil='default.scm';
wgtdir=[digpwd '\'];
wgtfil='default.wgt';

created=datestr(now);
updated=datestr(now);

plate='enter chars';
split = 'enter numb';

xgridline0=0;
ygridline0=0;
pixperinch=1200;
cmpersq=1.1;

cursortype;

snsize=16;

specnumflag=0;
%set(hsnumsonoff,'lab','show sample numbers','call','snumson;');
set(hmen7c,'lab','show sample numbers','call','snumson;');

%%%%%%%%%%%%%%%%%%%%%%%%%%
% reset parameter edit controls


while 0==1
set(hplatename,'style','edit','back',[1 1 1]);
set(hsplitname,'style','edit','back',[1 1 1]);
set(hxoffset,'style','edit','back',[1 1 1]);
set(hyoffset,'style','edit','back',[1 1 1]);
set(hresolution,'style','edit','back',[1 1 1]);
set(hcellsize,'style','edit','back',[1 1 1]);
end

set(hplatename,'style','edit','back',[1 1 1],'str',plate);
set(hsplitname,'style','edit','back',[1 1 1],'str',split);
set(hxoffset,'style','edit','back',[1 1 1],'str',num2str(xgridline0));
set(hyoffset,'style','edit','back',[1 1 1],'str',num2str(ygridline0));
set(hresolution,'style','edit','back',[1 1 1],'str',num2str(pixperinch));
set(hcellsize,'style','edit','back',[1 1 1],'str',cmpersq);
set(hready,'en','on');
set(hsetparams,'en','on');



digpart2;


