%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%combinedata.m

[file1,directory1]=uigetfile('*.mat','Select first input file');
path1=[directory1 file1];
eval(['load ' path1]);

tixmax=size(table,1);

for tixcomb=1:tixmax
  t7 = table(tixcomb,7);
  if t7==0
    break;
  end;
end  
tixlast = tixcomb - 1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

mtable = table;

mtablemajor = tablemajor;
mtableminor = tableminor;

majoroffset = abs(table(tixlast,7)) + table(tixlast,8) - 1;
minoroffset = abs(table(tixlast,9)) + table(tixlast,10) - 1;
sampleoffset = tixlast;

clear table tablemajor tableminor

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[file2,directory2]=uigetfile('*.mat','Select second input file');
path2=[directory2 file2];
eval(['load ' path2]);

tixmax=size(table,1);

for tixcomb=1:tixmax
  t7 = table(tixcomb,7);
  if t7==0
    break;
  end;
end  
tixlast = tixcomb - 1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%NOTE:  ADD TEMP Y-OFFSET OF 0.5 MM FOR TESTING ONLY

%lenmajor=table(tixlast,7) + abs(table(tixlast,8)) - 1;
%tablemajor(1:lenmajor,2)=tablemajor(1:lenmajor,2)+ 0.5;
%lenminor=table(tixlast,9) + abs(table(tixlast,10)) - 1;
%tableminor(1:lenminor,2)=tableminor(1:lenminor,2)+ 0.5;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iout = sampleoffset;

for i = 1:tixlast
    iout = iout + 1;
    %NOTE:  need to check for overflow of 3 output tables!!!
    
    mtable(iout,1) = table(i,1) + sampleoffset;
    
    mtable(iout,2) = table(i,2);
    mtable(iout,3) = table(i,3);
    mtable(iout,4) = table(i,4);
    mtable(iout,5) = table(i,5);
    mtable(iout,6) = table(i,6);
    mtable(iout,11) = table(i,11);
    mtable(iout,12) = table(i,12);
   
    mtable(iout,7) = table(i,7) + majoroffset;
    mtable(iout,8) = table(i,8);
    mtable(iout,9) = table(i,9) + minoroffset;
    mtable(iout,10)= table(i,10);
    
    inptr = table(i,7);    
    outptr = mtable(iout,7);
    indel = abs(table(i,8));
    mtablemajor(outptr:outptr+indel-1,:) = tablemajor(inptr:inptr+indel-1,:);
       
    %fprintf(1,'major: %d %d %d %d %d\n',i,iout,inptr,outptr,indel);
    
    inptr = table(i,9);    
    outptr = mtable(iout,9);
    indel = abs(table(i,10));
    mtableminor(outptr:outptr+indel-1,:) = tableminor(inptr:inptr+indel-1,:);
    
    %fprintf(1,'minor: %d %d %d %d %d\n',i,iout,inptr,outptr,indel);
      
    %pause
    
end

table = mtable;
tablemajor = mtablemajor;
tableminor = mtableminor;

[file3,directory3]=uiputfile('*.mat',...
    'Select output file');

datpath3=[directory3 file3];


%change jin
jin.datfil=file3;
jin.datdir=directory3;

%save file 
eval( ['save '''    datpath3   ''' table tablemajor tableminor jin'] );
 
    