%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%DIGITIZER.M

% P. H. Wiebe, Principal Investigator
% W. S. Little, Programmer
% Version 1.0 
% June 1, 2003

copyrt7;

verno=' MOCNESS DIGITIZER VERSION 1.0';
verjin='1.0';

format short;
blk = ' ';

wbd='windowbuttondown';
wbm='windowbuttonmotion';
wbu='windowbuttonup';

ckboxcolor(1,:)=[1 0 0];    %red, for checkboxes with value=0 (off)
ckboxcolor(2,:)=[0 1 0];    %green, for checkboxes with value=1 (on)

digpwd = pwd;

spcdir=[digpwd '\'];
spcfil='default.men';
cmpdir=[digpwd '\'];
cmpfil='default.scm';
wgtdir=[digpwd '\'];
wgtfil='default.wgt';

created=datestr(now);
updated=datestr(now);
imgdir=[digpwd '\'];
imgfil='dummy.jpg';
datdir=[digpwd '\'];
datfil='dummy.mat';

plate='enter chars';
split = 'enter numb';

xgridline0=0;
ygridline0=0;
pixperinch=1200;
cmpersq=1.1;

cursortype;

dthresh = 0.5;

figurewidth = 0.80;
figureheight = 0.75;

icntmax = 51;

speccodex = 999;
speccodesz = 6;

defcolor = [1.0 .5 .5];

savecountmax = 20;

snsize = 12;

beepchar = 7;

stdflg = 1;

lastcol = 110;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create main figure

fig1=1;
hf1 = figure(fig1);

set(hf1,'numb','off');
%set(hf1,'backingstore','off');
set(hf1,'pointer','crosshair','name',verno);
set(hf1,'units','norm','pos',[.10 .10 .80 .75],'menubar','none');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%create menus, buttons, status boxes

createcontrols;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%do the rest of the setup

digpart2;

