%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%dogrid.m


delete(findobj(hf1,'tag','gnum'));

for i=1:nsqx+1
  xgridlines(i) = xgridline0 + i*pixpersq;
end;

for i=1:nsqy+1
  ygridlines(i) = ygridline0 + i*pixpersq;
end;


i1=1;
i2=nsqy;
if i2<=0 i2=1; end;

if showallflag==0
  i1 = cellno(2)-zlevel-1;
  i2 = cellno(2)+zlevel ;
  if i2>nsqy+1; i2=nsqy+1;  end;
end;

for i=1:nsqx+1
  collabelx(i) = xgridline0 + (i-0.5)*pixpersq;
  if i1<1
    collabely0(i) = ygridline0;
  else 
    collabely0(i) = ygridlines(i1);
  end
  collabely1(i) = ygridlines(i2);
end;


i1=1;
i2=nsqx;
if i2<=0 i2=1; end;

if showallflag==0
  i1=cellno(1)-zlevel-1;
  i2=cellno(1)+zlevel;
  if i2>nsqx+1; i2=nsqx+1;  end;
end;


for i=1:nsqy+1
  rowlabely(i) = ygridline0 + (i-0.5)*pixpersq;
  if i1<1
    rowlabelx0(i) = xgridline0;
  else
    rowlabelx0(i) = xgridlines(i1);
  end
  rowlabelx1(i) = xgridlines(i2);
end;

delete(findobj(hf1,'tag','gnum'));

axes(ha1);

set(ha1,'xticklabel','','yticklabel','');
set(ha1,'xtick',[xgridline0 xgridlines],'ytick',[ygridline0 ygridlines]);

for i=1:nsqx+1
   text(collabelx(i),collabely0(i),num2str(i),'fontsize',16, ...
    'horiz','cen','erasemode','none','col','r','clip','on','tag','gnum');
   text(collabelx(i),collabely1(i),num2str(i),'fontsize',16, ...
    'horiz','cen','erasemode','none','col','r','clip','on','tag','gnum');
end;

for i=1:nsqy+1
  text(rowlabelx0(i),rowlabely(i),num2str(i),'fontsize',16, ...
    'horiz','cen','erasemode','none','col','r','clip','on','tag','gnum');
  text(rowlabelx1(i),rowlabely(i),num2str(i),'fontsize',16, ...
    'horiz','cen','erasemode','none','col','r','clip','on','tag','gnum');
end;


axes(ha2);

set(ha2,'xticklabel','','yticklabel','');
set(ha2,'xtick',[xgridline0 xgridlines],'ytick',[ygridline0 ygridlines]);

axes(ha1);


