%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%gammacm.m

%global scm

gamflag=1;

y=zeros(1,256);

if xb>0
  slope1=yb/xb;
  for i=0:xb
    y(i+1)=i*slope1;
  end;
end;

konst=1/exp(gam*log(xc-xb));

for i=xb+1:xc
  y(i+1)=yb+(yc-yb)*exp(gam*log(i-xb))*konst;
end;

if xc<255
  slope3=(255-yc)/(255-xc);
  for i=xc+1:255
    y(i+1)=yc+(i-xc)*slope3;
  end;
end;



%check for illegal y values (from bug or roundoff)
for iii=1:256
  if y(iii)<0
%   disp('warning:  cm value < 0');
%    iii
%    yt=y(iii);
%    yt
    y(iii)=0;
  end;
  if y(iii)>255
%    disp('warning:  cm value > 1');
%    iii
%    yt=y(iii);
%    yt
    y(iii)=255;
end;
end;

cm = y*0.00392156862745;

cm=[cm' cm' cm'];


set(hp0,'ydata',y);
set(hp1,'xdata',xb,'ydata',yb);
set(hp2,'xdata',xc,'ydata',yc);

set(hc6a,'str',num2str(xb));
set(hc6b,'str',num2str(yb));
set(hc6c,'str',num2str(xc));
set(hc6d,'str',num2str(yc));

%set(hc7a,'str',num2str(rtint));
%set(hc7b,'str',num2str(gtint));
%set(hc7c,'str',num2str(btint));

set(hc5a,'str',num2str(gam));

cf=diag([rtint gtint btint]);
cmt=cm*cf;
colormap(cmt);


jinc.scm.cm=cm;
jinc.scm.xb=xb;
jinc.scm.xc=xc;
jinc.scm.yb=yb;
jinc.scm.yc=yc;
jinc.scm.rtint=rtint;
jinc.scm.gtint=btint;
jinc.scm.gtint=btint;
jinc.scm.gam=gam;
jinc.scm.gamflag=gamflag;


