%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%getcm.m

if cmpdir==0  cmpdir=[digpwd '\'];  end;
if cmpfil==0  cmpfil='default.scm';  end;

cmppath=[cmpdir cmpfil];

%make initial colormap

cm=ones(256,3);

for i=1:64
  cm(i,1)=(i-1)/63;
  cm(i,2)=(i-1)/63;
  cm(i,3)=(i-1)/63;
end;

xb=0;
yb=0;
xc=63;
yc=255;

gam=1;
gamflag=0;

rtint=0.75;
gtint=1;
btint=0.75;

%create colormap structure

scm.cm=cm;

scm.xb=xb;
scm.xc=xc;
scm.yb=yb;
scm.yc=yc;

scm.gam=gam;
scm.gamflag=gamflag;

scm.rtint=rtint;
scm.gtint=gtint;
scm.btint=btint;

colormap(cm * diag([rtint gtint btint]));
