%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%getlastpt.m

%store ncoord points

set(hf1,wbm,'');
set(hf1,wbd,'');
set(hf1,wbu,'');

colr = jinm.spec.slc(currentspecindex,:);

%save the last point

clast = cp;
icp = 0;
cp = zeros(1,2);

ncoord = size(clast,1);

set(hline,'xdata',clast(:,1),'ydata',clast(:,2),'color',colr, ...
    'erasemode','none','vis','on');

%NOTE:  code to record "major" points (those separated by more that dthresh)
%  is still here in case it needs to be reactivated

%if past thresh, add this pt to cpn 
dt = toc-t0;
if (dt >= dthresh)
  icpn = icpn + 1;
  cpn(icpn,:) = cptemp(1,1:2);
 
  tic;
  t0=toc;
end;

clastn = cpn;
icpn = 0;
cpn = zeros(1,2);

set(hlinex,'xdata',[clast(1,1) clast(ncoord,1)],'ydata',[clast(1,2) clast(ncoord,2)]);

cppending = 2;

set(hstatus9,'str','WAITING FOR SPECIES CODE');

%set(hdm0,'en','off');
%set(hdm1,'en','off');

set(hmen5g1,'en','off');
set(hmen5g2,'en','off');

set(hpm0,'en','off');
set(hpm1,'en','off');
set(hmen5c1','en','off');
set(hmen5c2','en','off');

if digmode==0

    sdum=99;
    pdum=98;
    slen=22.5;
    col=cellno(1);
    row=cellno(2);
    spec=currentspeccode;
    ncoord=size(clast,1);
    ncpn =size(clastn,1);
    set(hline,'color',colr,'markerface',colr);
    if currentspeccode==speccodex  
      set(hline,'marker','o','markersize',speccodesz);
    end;

    cppending = 0;

    set(hstatus9,'str','READY');

    htext2 = text(clast(ncoord,1),clast(ncoord,2),num2str(tix+1), ...
          'fonts',snsize,'fontw','bold','horiz','cen','col',[1 1 0], ...
          'clip','on','erasemode','none', ...
          'tag','tsampnums','vis',visval, ...
          'userdata',tix+1);

    recordtable;
    
%    snum = snum + 1;

%    set(hdm0,'en','on');
%    set(hdm1,'en','on');

    set(hmen5g1,'en','on');
    set(hmen5g2,'en','on');

    set(hpm0,'en','on');
    set(hpm1,'en','on');
    set(hmen5c1','en','on');
    set(hmen5c2','en','on');

    set(hselbynum'','en','on');
    set(hselbycur'','en','on');
    set(hselbyreg'','en','on');

    savecount = savecount + 1;
    if savecount >= savecountmax
      disp('saving data');
      writetable3;
      savecount = 0;
    end;

    set(hf1,wbd,'getfirstpt');

    if perflag==0;
      ptmode=0;
      set(hpm0brd,'ba',[0 1 0]);
      set(hpm1brd,'ba',[.7 .7 .7]);
      setpmode0;
    end;

end;


