%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%replotdata.m

ta=0;
tb=0;
sampnum=0;
%snum = 1;
snsize=12;

cpp = 1/pixpercm;

for tixrp=1:tixmax
  t7 = table(tixrp,7);
  if t7==0
    break;
  end;
end  
tixlast = tixrp - 1;

for tixrp=1:tixmax

  t7 = table(tixrp,7);

  if t7==0
    break;
  end;

  t8 = table(tixrp,8);
  t9 = table(tixrp,9);
  t10 = table(tixrp,10);

  ta = t7 + abs(t8) - 1;
  tb = t9 + abs(t10) - 1;

  sampnum = table(tixrp,1);
  plotmode = table(tixrp,6);

  speccd = table(tixrp,2);

  slen = table(tixrp,3);

    colr=[1 1 1];
  for ii=1:listsize
    if speccd==sln(ii)
      colr=jinm.spec.slc(ii,:);
      if t8 > 0   speccount(ii)=speccount(ii)+1;   end;
      break;
    end;
  end;


  x=[];
  y=[];

  if t8 > 0
    for k=t7:ta
      x(k-t7+1)=tablemajor(k,1);
      y(k-t7+1)=tablemajor(k,2);
    end;
 
    htemp=line('xd',x/10/cpp,'yd',y/10/cpp, ...
      'marker','x','markerface',colr, ...
      'col',colr,'userdata',sampnum);

    if speccd==speccodex
      set(htemp,'marker','o','markersize',speccodesz);
    end;

    htext1=text(x(1)/10/cpp,y(1)/10/cpp,num2str(sampnum), ...
        'fonts',snsize,'tag','tsampnums','vis',visval, ...
        'fontw','bold','horiz','cen','col',[1 1 0], ...
        'clip','on','erasemode','none', ...
        'userdata',sampnum);

    htext2=text(x(length(x))/10/cpp,y(length(y))/10/cpp,num2str(sampnum), ...
        'fonts',snsize,'tag','tsampnums','vis',visval, ...
        'fontw','bold','horiz','cen','col',[1 1 0], ...
        'clip','on','erasemode','none', ...
        'userdata',sampnum);

    if plotmode==0
      set(htemp,'tag','ln1');
    end;

    if plotmode==1
      set(htemp,'tag','ln2');
    end;

    if slen==0
      disp(['illegal length:  length=0' char(beepchar)]);  %beep
      fprintf(1,'sample number = %d\n',sampnum);
    end;

    set(hstatus9,'str',['READING SAMPLE '  num2str(tixrp) ' of ' num2str(tixlast)]);    
     
  end;


  x=[];
  y=[];

  if t10 > 0 
    for k=t9:tb    
      x(k-t9+1)=tableminor(k,1);
      y(k-t9+1)=tableminor(k,2);
    end;

    if plotmode==1

      htemp=line('xd',x/10/cpp,'yd',y/10/cpp,'col',colr,'markerf',colr, ...
           'linestyle','--','tag','ln3','userdata',sampnum);
      if speccd==speccodex
        set(htemp,'marker','o','markersize',speccodesz);
      end;

      set(findobj('tag','ln2','user',sampnum),'xd',[x(1) x(length(x))]/10/cpp,...
        'yd',[y(1) y(length(y))]/10/cpp,'linestyle','none');

    end;
  end;

  if mod(tixrp,250)==0  drawnow; pause(0.1);  end;   %update image

end;


for i=1:listsize
  if hu3(i)~=0
    set(hu3(i),'str',num2str(speccount(i)));
  end;
end;



majorptr = ta + 1;
minorptr = tb + 1;

%snum = sampnum + 1;

tix = tixrp - 1;

