%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%
%scalerect.m

w=get(0,'screensize');
f=get(hf1,'pos');
a=get(ha1,'pos');
aa = a.*[f(3)*w(3) f(4)*w(4) f(3)*w(3) f(4)*w(4)];
pbar=get(ha1,'plotboxaspectratio');
fb=pbar(1)/pbar(2);

x2=f(1)+ a(1)      *f(3);
x3=f(1)+(a(1)+a(3))*f(3);

y2=f(2)+ a(2)      *f(4);
y3=f(2)+(a(2)+a(4))*f(4);

dx=x3-x2;
dy=y3-y2;

dxdy=(dx*w(3))/(dy*fb*w(4));

xlm=get(ha1,'xlim');
ylm=get(ha1,'ylim');
dxlm=xlm(2)-xlm(1);
dylm=ylm(2)-ylm(1);

if dxdy > 1

  a1=aa(1)+(aa(3)-aa(4)*fb)/2;
  a2=aa(2);

  a3=aa(4)*fb;

  sx=dxlm/aa(4)/fb;
  sy=dylm/aa(4);

elseif dxdy < 1

  a1=aa(1);
  a2=aa(2)+(aa(4)-aa(3)/fb)/2;

  a3=aa(3);

  sx=dxlm/aa(3);
  sy=dylm/aa(3)*fb;

else

  a1=aa(1);
  a2=aa(2);

  a3=aa(3);

  sx=dxlm/aa(3);
  sy=dylm/aa(4);

end

