%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%showallcells.m

%get current cell coords (for next time)
sx=sxcur;
sy=sycur;

%set show all mode
showallflag = 1;

%set max zoom level (not sure this is needed)
zlevel = zlevmax;

%change to special zxes limits and aspect ratio
set(ha1,'xlim',xlim0,'ylim',ylim0);
set(ha1,'plotboxaspectratio',[aspratio 1 1]);

zoom reset;

dogrid;

if cellnumflag==1
  cellson;
else
  cellsoff;
end

%redraw thumbnail colored box
axes(ha2);
xxx=[xlim0(1) xlim0(1) xlim0(2) xlim0(2) xlim0(1)];
yyy=[ylim0(1) ylim0(2) ylim0(2) ylim0(1) ylim0(1)];
set(hl1,'xd',xxx,'yd',yyy);

%return to main axes
axes(ha1)

if sampnumflag==1
  snumson;
end;


