%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%showonecell.m

%get current cell coords
sx = sxcur;
sy = sycur;

%convert to integers
cx=str2num(sx);
cy=str2num(sy);

%set to 1 if non-integer or less than 0
if isempty(cx) sx='1'; cx=1; end;
if isempty(cy) sy='1'; cy=1; end;

if cx<1        sx='1'; cx=1; end;
if cy<1        sy='1'; cy=1; end;

%convert and store back into edit controls
sx = num2str(cx);
sy = num2str(cy);

set(hxx,'str',sx);
set(hyy,'str',sy);

%store in cell number vector
cellno=[cx cy];

%set to one-cell mode and change zxes limits
showallflag = 0;

zlevel = 0;
set(ha1,'plotboxaspectratio',[1 1 1]);

changeplots;

%turn off ability to calibrate image

%set(hmen6,'en','of');

