%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%writeascwgts.m
%mods 8/8/01 to omit cols 111-119

fss=0;
pss=0;

[fss,pss]=uiputfile([imgdir '*.txt'],'Select WEIGHT Spreadsheet File');

if (isempty(fss) | fss==0)  disp('no file selected');return;end;

%fss = [fss '.txt'];

%strip off ".txt"s
fss = stripext(fss,'.txt');

%check to see if the REVISED filename matches an existing file
fileisopen=0;                      %file-opened flag
dirlist=dir(pss);                  %get dir listing
dirlistlen=size(dirlist,1);        %get dir length
for idir=1:dirlistlen              %check each entry for matching filename
    tempname=dirlist(idir).name;   %convert last 4 chars of filename to lower case   
    tempnamelen=length(tempname);
    if tempnamelen >= 4
        tempname(tempnamelen-3:tempnamelen) = ...
                 lower( tempname(tempnamelen-3:tempnamelen) ); 
    end
    if strcmp(tempname,fss)        %see if there is a match
        reply11=questdlg(...
         ['Do you REALLY want to OVERWRITE file:    ' pss fss],'WARNING','yes','no','no');
        if strcmp(reply11,'yes')
            f2=fopen([pss fss],'w');
            fileisopen=1;
        else
            disp('no file selected')
            return;   %start over
        end
    end
end

%if file is not already opened, open it now
if fileisopen==0
    f2=fopen([pss fss],'w');
end;


lens=zeros(120,1);

for kk=1:110
  %lens(kk)=size(cwgt{1,kk},1);
  lens(kk)=size(cwgt{kk},2);
end
%lens(120)=size(cwgt{1,120},1);
lens(120)=size(cwgt{120},2);

maxlen=max(lens);

outtable=zeros(maxlen,120);

for kk=1:110
  %outtable(1:lens(kk),kk)=cwgt{1,kk};
  outtable(1:lens(kk),kk)=cwgt{kk}';
end
%outtable(1:lens(120),120)=cwgt{1,120};
outtable(1:lens(120),120)=cwgt{120}';

%f2=fopen([pss fss],'w');

fprintf(f2,'WEIGHT_DATA(mg) \r\n');
%fprintf(f2,'\r\n');
fprintf(f2,'File:   %s\r\n',datfil);
%fprintf(f2,'\r\n');
fprintf(f2,'Directory:   %s\r\n',datdir);
%fprintf(f2,'\r\n');
fprintf(f2,'Plate:   %s\r\n',plate);
%fprintf(f2,'\r\n');
fprintf(f2,'\r\n');

for n=1:110
  fprintf(f2,'%s ',[num2str(sln(n)) '-' sla(n,:)]);
end
fprintf(f2,'%s ',[num2str(sln(120)) '-' sla(120,:)]);
fprintf(f2,'\r\n');

for m=1:maxlen
  for n=1:110
    fprintf(f2,'%g ',outtable(m,n));
  end
  fprintf(f2,'%g ',outtable(m,120));
  fprintf(f2,'\r\n');
end

fclose(f2);

fprintf(1,'ascii data written in spreadsheet format to file\n');
fprintf(1,'  %s\n',[pss fss]);
fprintf(1,'\n');



